Represents a Lease Contract Line in SOFT4Spaces.
Note
For information about enabling APIs for Business Central see Overview.
API endpoint
| API | Path |
| leaseContractLine | businesscentralPrefix/soft4/soft4spaces/v3.0/companies({{companyId}})/leaseContractLines |
Methods
| Method | Return Type | Description |
| GET leaseContractLine | leaseContractLine | Gets a lease contract line object. |
| DELETE leaseContractLine | none | Deletes a lease contract line object. |
| POST leaseContractLine | leaseContractLine | Creates a lease contract line object. |
| PATCH leaseContractLine | leaseContractLine | Updates a lease contract line object. |
GET leaseContractLine
Description
Retrieves an existing lease contract line record from Business Central.
HTTP Request
GET
https://{{businesscentralPrefix}}/{{APIGroup}}/{{version}}/companies({{companyId}})/leaseContractLines?$filter=leaseContractNo eq '{{leaseContracts_no}}'
Request Headers
| Header | Value |
| Authorization | NTLM, OAuth2. Required. |
| Accept | application/json |
Request Body
None.
Response
Returns a 200 OK status code and JSON object representing the lease contract line record.
Example Response
JSON
|
{ "id": "cae91db4-5def-ef11-9345-6045bde1813c", "leaseContractNo": "LC00005", "versionNo": 2, "versionStatus": "Valid", "status": "Released", "lineNo": 10000, "serviceNo": "RENT", "description": "Rent", "description2": "", "leaseUnitNo": "LU00012", "startingDate": "2025-01-01", "endingDate": "2025-12-31", "quantity": 0, "priceType": "_x0020_", "pricePeriod": "Day", "unitPrice": 0, "systemCreatedAt": "2025-02-20T07:38:42.62Z", "systemCreatedBy": "7732bc76-52e0-4e48-91b8-c5baa372b367", "systemModifiedAt": "2026-02-11T06:52:22.647Z", "systemModifiedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68" } |
POST leaseContractLine
Description
Creates a new lease contract line in Business Central.
HTTP Request
POST
https://{{businesscentralPrefix}}/{{APIGroup}}/{{version}}/companies({{companyId}})/leaseContractLines
Request Headers
| Header | Value |
| Authorization | NTLM, OAuth2. Required. |
| Accept | application/json |
Request Body
Provide a JSON object with lease contract line data.
JSON
|
{ "leaseContractNo": "{{leaseContracts_no}}", "versionNo": "{{leaseContracts_versionNo}}", "lineNo": "20000", "description": "API Test" } |
Response
Returns a 201 Created status code and the created lease contract line object.
Properties
| Property | Type | Description |
| id | GUID | The unique ID of the lease contract line. Non-editable. |
| leaseContractNo | string | Specifies the number of the lease contract line. |
| versionNo | integer | Specifies the version number of lease contract line. |
| status | string | Specifies the status of lease contract line. It can be “New”, “Ready”, “Reserved”, “Released”, “Terminated” |
| versionStatus | string | Specifies the version status of lease contract line. It can be “New”, “Valid”, “Old”. |
| lineNo | integer | The line sequence number. |
| serviceNo | string | Specifies the service number from a service list, e.g. “RENT”, “CAM”, “WATER”. |
| description | string | Specifies the description of lease contract line. |
| description2 | string | Specifies the description of lease contract line. |
| leaseUnitNo | string | Specifies the lease unit number for which service charges would be calculated. |
| startingDate | date | The lease contract line starting date. |
| endingDate | date | The lease contract line ending date. |
| quantity | decimal | The quantity of variables defined in the lease contract line e.g. the number of parking spaces. |
| priceType | string | The price type for lease contract line. It can be “Fixed”, “Area”, “Turnover”, “Meter”. |
| pricePeriod | string | The price period for lease contract line. It can be “Day”, “Week”, “Month”, “Quarter”, “Year”. |
| unitPrice | decimal | Specifies the service price for lease unit in the specified lease contract line. |
| systemCreatedAt | datetime | The datetime the lease contract line was created. |
| systemCreatedBy | GUID | The ID of the user who created the lease contract line. |
| systemModifiedAt | datetime | The last datetime the lease contract line was modified. |
| systemModifiedBy | GUID | The ID of the user who modified the lease contract line. |
JSON Representation
|
{ "id": "GUID", "leaseContractNo": "string", "versionNo": "integer", "status": "string", "versionStatus": "string", "lineNo": "integer", "serviceNo": "string", "description": "string", "description2": "string", "leaseUnitNo": "string", "startingDate": "date", "endingDate": "date", "quantity": "decimal", "priceType": "string", "pricePeriod": "string", "unitPrice": "decimal", "systemCreatedAt": "datetime", "systemCreatedBy": "GUID", "systemModifiedAt": "datetime", "systemModifiedBy": "GUID" } |